Cannot install Bugzilla 4.2

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Cannot install Bugzilla 4.2

bugzilla user
Hello,

I tried to install Bugzilla 4.2 on Fedora Core 16 and failed. I started several times checksetup.pl but every timeI received tah same:

* This is Bugzilla 4.2 on perl 5.14.2
* Running on Linux 3.2.7-1.fc16.x86_64 #1 SMP Tue Feb 21 01:40:47 UTC 2012

Checking perl modules...
Checking for               CGI.pm (v3.51)     ok: found v3.59
Checking for           Digest-SHA (any)       ok: found v5.61
Checking for             TimeDate (v2.21)     not found
Checking for             DateTime (v0.28)     not found
Checking for    DateTime-TimeZone (v0.71)     not found
Checking for                  DBI (v1.614)    not found
Checking for     Template-Toolkit (v2.22)     not found
Checking for           Email-Send (v2.00)     not found
Checking for           Email-MIME (v1.904)    not found
Checking for                  URI (v1.37)     not found
Checking for       List-MoreUtils (v0.22)     not found
Checking for    Math-Random-ISAAC (v1.0.1)    not found

Checking available perl DBD modules...
Checking for               DBD-Pg (v1.45)     not found
Checking for            DBD-mysql (v4.001)    not found
Checking for           DBD-SQLite (v1.29)     not found
Checking for           DBD-Oracle (v1.19)     not found

The following Perl modules are optional:
Checking for                   GD (v1.20)     not found
Checking for                Chart (v2.1)      not found
Checking for          Template-GD (any)       not found
Checking for           GDTextUtil (any)       not found
Checking for              GDGraph (any)       not found
Checking for           MIME-tools (v5.406)    not found
Checking for          libwww-perl (any)       not found
Checking for             XML-Twig (any)       not found
Checking for          PatchReader (v0.9.6)    not found
Checking for            perl-ldap (any)       not found
Checking for          Authen-SASL (any)       not found
Checking for           RadiusPerl (any)       not found
Checking for            SOAP-Lite (v0.712)    not found
Checking for             JSON-RPC (any)       not found
Checking for              JSON-XS (v2.0)      not found
Checking for           Test-Taint (any)       not found
Checking for          HTML-Parser (v3.67)     not found
Checking for        HTML-Scrubber (any)       not found
Checking for               Encode (v2.21)     ok: found v2.42_01
Checking for        Encode-Detect (any)       not found
Checking for Email-MIME-Attachment-Stripper (any)       not found
Checking for          Email-Reply (any)       not found
Checking for          TheSchwartz (any)       not found
Checking for       Daemon-Generic (any)       not found
Checking for             mod_perl (v1.999022) not found
Checking for     Apache-SizeLimit (v0.96)     not found
Checking for          mod_headers (any)       ok
Checking for          mod_expires (any)       ok
Checking for              mod_env (any)       ok
***********************************************************************
* REQUIRED MODULES                                                    *
***********************************************************************
* Bugzilla requires you to install some Perl modules which are either *
* missing from your system, or the version on your system is too old. *
* See below for commands to install these modules.                    *
***********************************************************************
* DATABASE ACCESS                                                     *
***********************************************************************
* In order to access your database, Bugzilla requires that the        *
* correct "DBD" module be installed for the database that you are     *
* running. See below for the correct command to run to install the    *
* appropriate module for your database.                               *
***********************************************************************
* OPTIONAL MODULES                                                    *
***********************************************************************
* Certain Perl modules are not required by Bugzilla, but by           *
* installing the latest version you gain access to additional         *
* features.                                                           *
*                                                                     *
* The optional modules you do not have installed are listed below,    *
* with the name of the feature they enable. Below that table are the  *
* commands to install each module.                                    *
***********************************************************************
*                    MODULE NAME * ENABLES FEATURE(S)                 *
***********************************************************************
*                             GD * Graphical Reports, New Charts, Old Charts *
*                          Chart * New Charts, Old Charts             *
*                    Template-GD * Graphical Reports                  *
*                     GDTextUtil * Graphical Reports                  *
*                        GDGraph * Graphical Reports                  *
*                     MIME-tools * Move Bugs Between Installations    *
*                    libwww-perl * Automatic Update Notifications     *
*                       XML-Twig * Move Bugs Between Installations, Automatic Update Notifications *
*                    PatchReader * Patch Viewer                       *
*                      perl-ldap * LDAP Authentication                *
*                    Authen-SASL * SMTP Authentication                *
*                     RadiusPerl * RADIUS Authentication              *
*                      SOAP-Lite * XML-RPC Interface                  *
*                       JSON-RPC * JSON-RPC Interface                 *
*                        JSON-XS * Make JSON-RPC Faster               *
*                     Test-Taint * JSON-RPC Interface, XML-RPC Interface *
*                    HTML-Parser * More HTML in Product/Group Descriptions *
*                  HTML-Scrubber * More HTML in Product/Group Descriptions *
*                  Encode-Detect * Automatic charset detection for text attachments *
* Email-MIME-Attachment-Stripper * Inbound Email                      *
*                    Email-Reply * Inbound Email                      *
*                    TheSchwartz * Mail Queueing                      *
*                 Daemon-Generic * Mail Queueing                      *
*                       mod_perl * mod_perl                           *
*               Apache-SizeLimit * mod_perl                           *
***********************************************************************
COMMANDS TO INSTALL OPTIONAL MODULES:

             GD: /usr/bin/perl install-module.pl GD
          Chart: /usr/bin/perl install-module.pl Chart::Lines
    Template-GD: /usr/bin/perl install-module.pl Template::Plugin::GD::Image
     GDTextUtil: /usr/bin/perl install-module.pl GD::Text
        GDGraph: /usr/bin/perl install-module.pl GD::Graph
     MIME-tools: /usr/bin/perl install-module.pl MIME::Parser
    libwww-perl: /usr/bin/perl install-module.pl LWP::UserAgent
       XML-Twig: /usr/bin/perl install-module.pl XML::Twig
    PatchReader: /usr/bin/perl install-module.pl PatchReader
      perl-ldap: /usr/bin/perl install-module.pl Net::LDAP
    Authen-SASL: /usr/bin/perl install-module.pl Authen::SASL
     RadiusPerl: /usr/bin/perl install-module.pl Authen::Radius
      SOAP-Lite: /usr/bin/perl install-module.pl SOAP::Lite
       JSON-RPC: /usr/bin/perl install-module.pl JSON::RPC
        JSON-XS: /usr/bin/perl install-module.pl JSON::XS
     Test-Taint: /usr/bin/perl install-module.pl Test::Taint
    HTML-Parser: /usr/bin/perl install-module.pl HTML::Parser
  HTML-Scrubber: /usr/bin/perl install-module.pl HTML::Scrubber
  Encode-Detect: /usr/bin/perl install-module.pl Encode::Detect
Email-MIME-Attachment-Stripper: /usr/bin/perl install-module.pl Email::MIME::Attachment::Stripper
    Email-Reply: /usr/bin/perl install-module.pl Email::Reply
    TheSchwartz: /usr/bin/perl install-module.pl TheSchwartz
 Daemon-Generic: /usr/bin/perl install-module.pl Daemon::Generic
       mod_perl: /usr/bin/perl install-module.pl mod_perl2
Apache-SizeLimit: /usr/bin/perl install-module.pl Apache2::SizeLimit

YOU MUST RUN ONE OF THE FOLLOWING COMMANDS (depending on which database
you use):

PostgreSQL: /usr/bin/perl install-module.pl DBD::Pg
     MySQL: /usr/bin/perl install-module.pl DBD::mysql
    SQLite: /usr/bin/perl install-module.pl DBD::SQLite
    Oracle: /usr/bin/perl install-module.pl DBD::Oracle

COMMANDS TO INSTALL REQUIRED MODULES (You *must* run all these commands
and then re-run checksetup.pl):

    /usr/bin/perl install-module.pl Date::Format
    /usr/bin/perl install-module.pl DateTime
    /usr/bin/perl install-module.pl DateTime::TimeZone
    /usr/bin/perl install-module.pl DBI
    /usr/bin/perl install-module.pl Template
    /usr/bin/perl install-module.pl Email::Send
    /usr/bin/perl install-module.pl Email::MIME
    /usr/bin/perl install-module.pl URI
    /usr/bin/perl install-module.pl List::MoreUtils
    /usr/bin/perl install-module.pl Math::Random::ISAAC

To attempt an automatic install of every required and optional module
with one command, do:

  /usr/bin/perl install-module.pl --all

*** Installation aborted. Read the messages above. ***


All my tries to install any of required modules finish with an error. Example:

 /usr/bin/perl install-module.pl Date::Format
Checking for                 CPAN (v1.81)     ok: found v1.960001
Checking for                 YAML (any)       ok: found v0.73
Checking for   ExtUtils-MakeMaker (v6.31)     ok: found v6.57_05
Going to read '/root/.cpan/Metadata'
  Database was generated on Tue, 28 Feb 2012 12:11:26 GMT
Installing Date::Format version 2.24...
Running install for module 'Date::Format'
Running make for G/GB/GBARR/TimeDate-1.20.tar.gz
Checksum for /root/.cpan/source/authors/id/G/GB/GBARR/TimeDate-1.20.tar.gz ok

  CPAN.pm: Going to build G/GB/GBARR/TimeDate-1.20.tar.gz

Checking if your kit is complete...
Looks good
Writing Makefile for TimeDate
Writing MYMETA.yml
Could not read metadata file. Falling back to other methods to determine prerequisites
make: Warning: File `/usr/lib64/perl5/Config.pm' has modification time 3553600 s in the future
Makefile out-of-date with respect to /usr/lib64/perl5/Config.pm /usr/lib64/perl5/CORE/config.h
Cleaning current config before rebuilding Makefile...
make -f Makefile.old clean > /dev/null 2>&1
/usr/bin/perl Makefile.PL "LIB=/var/www/html/lib" "INSTALLMAN1DIR=/var/www/html/lib/man/man1" "INSTALLMAN3DIR=/var/www/html/lib/man/man3" "INSTALLBIN=/var/www/html/lib/bin" "INSTALLSCRIPT=/var/www/html/lib/bin" "INSTALLDIRS=perl"
Checking if your kit is complete...
Looks good
Writing Makefile for TimeDate
Writing MYMETA.yml
==> Your Makefile has been rebuilt. <==
==> Please rerun the make command.  <==
false
make: *** [Makefile] Error 1
  GBARR/TimeDate-1.20.tar.gz
  /usr/bin/make -- NOT OK
Skipping test because of notest pragma
Running make install
  Make had returned bad status, install seems impossible

On Windows I install Bugzilla from first try but I need version 4 (Windows version is 3.6) and above which is not accessible for Windows.

I really do not understand these issues with Perl.

Is there someone who successfully install Bugzilla on FC16?

Thank you in advance.

 
Loading...